%define pkg_name File-Slurp
%define pkg_version 9999.04
%define rpm_version 9999.04
%define rpm_release 1.n0i.2
%define filelist %{_tmppath}/%{pkg_name}-%{version}-%{release}.filelist
%define make_test %{?_without_test:0}%{!?_without_test:1}
%define perl_vendorlib %(perl -MConfig -le 'print $Config{vendorlibexp}')

Summary:	Read/write/append files quickly
Version:	%{rpm_version}
Name:		perl-%{pkg_name}
%if "%{pkg_version}" == "%{rpm_version}"
Release:	%{rpm_release}
%else
Release:	%{rpm_release}.%{pkg_version}
%endif
Epoch:		0
License:	Artistic
Group:		Development/Languages
URL:		http://search.cpan.org/search?mode=module;query=%{pkg_name}
Source0:	ftp://ftp.cpan.org/authors/id/U/UR/URI/%{pkg_name}-%{pkg_version}.tar.gz

Requires: %(perl -MConfig -le 'print $Config{vendorlibexp}')

BuildPrereq: perl(ExtUtils::MakeMaker)

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
This module provides subs that allow you to read or write entire files with
one simple call. They are designed to be simple to use, have flexible ways to
pass in or get the file contents and to be very efficient. There is also a sub
to read in all the files in a directory other than "." and ".."

%prep
%setup -q -n %{pkg_name}-%{pkg_version} 

%build
export PERL_MM_USE_DEFAULT=1
perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make 
%if %{?make_test}
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# remove special files
find $RPM_BUILD_ROOT -name perllocal.pod -o -name .packlist -o -name "*.bs" \
		| xargs -i rm -f {}

# no empty directories
find $RPM_BUILD_ROOT -depth -type d -a -empty -exec rmdir {} \;

# fix perl binary path
grep -rsl '^#!.*perl' extras/ \
 | xargs --no-run-if-empty %{__perl} -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'

# build files list
find $RPM_BUILD_ROOT -type f -print \
	| sed "s@^$RPM_BUILD_ROOT@@g" > %{filelist}
find $RPM_BUILD_ROOT%{perl_vendorlib} -type d -print \
	| sed "s@^$RPM_BUILD_ROOT@%%dir @g" \
	| grep -v '^%dir %{perl_vendorlib}$' \
	 >> %{filelist}
if [ -z %{filelist} ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# mark POD files as documentation
perl -pi -e 's/^(.+?\.pod)$/%%doc $1/' %{filelist}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{filelist}

%files -f %{filelist}
%defattr(-,root,root)
%doc Changes extras/ README

%changelog
* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:9999.04-1.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild for perl 5.8.4

* Wed Feb 25 2004 Marius FERARU <altblue@n0i.net> 0:9999.04-1.n0i.1
- version 9999.04

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:9999.03-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Mon Jan 05 2004 Marius FERARU <altblue@n0i.net> 0:9999.03-0.n0i.1
- version 9999.03
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
